=== debian/control ===
Source: ros-humble-mrt-cmake-modules
Section: misc
Priority: optional
Maintainer: Kevin Rösch <kevin.roesch@kit.edu>
Build-Depends: debhelper (>= 9.0.0), python3-catkin-pkg, python3-rospkg, python3-setuptools, python3-yaml, ros-humble-ament-cmake-core, ros-humble-ros-environment, ros-humble-ros-workspace
Homepage: http://wiki.ros.org/mrt_cmake_modules
Standards-Version: 3.9.2

Package: ros-humble-mrt-cmake-modules
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lcov, python3-catkin-pkg, python3-rospkg, python3-setuptools, python3-yaml, ros-humble-gtest-vendor, ros-humble-ros-environment, ros-humble-ros-workspace
Description: CMake Functions and Modules for automating CMake
